Joomtv Requirements

Joomtv component and all modules works fine on special libraries. If you want install component, check the following list of requirements and considerations in order of version:

Joomtv 4.x, 5.x, 6.x

  • Work fine on Joomla 3.x
  • Work fine on PHP5> version
  • Work fine with curl enabled, ( curl is used to get youtube and vimeo information, this setting can compromise the joomtv functionality )
  • Work fine with shell_exec enabled ( combined with avconv/ffmpeg library is used to converting, create thumb and read duration of mp4 file, but you can use vimeo or youtube videos instead )
  • Work fine in avconv/ffmpeg library web server presence with libx264 encoder ( used via shell_exec to converting, create thumb and read duration of mp4 files )
  • Palimpsest and playlist timing work fine on h264 Apache directive

Joomtv 3.x (out of maintenance)

  • Work fine on Joomla 2.5.x
  • Work fine on a public web hosting and not in a local enviroment
  • Work fine on PHP5> version
  • Work fine in php5-ffmpeg web hosting presence (read more http://ffmpeg-php.sourceforge.net/)
  • Work fine in ffmpeg2theora web server presence (read more http://v2v.cc/~j/ffmpeg2theora)
  • Live broadcast work fine with a wowza rtmp connection
  • TV schedule and playlist timing work fine on h264 Apache directive